PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_zhbelr | ( | PLASMA_enum | uplo,
|  | int | N,
|  | PLASMA_desc * | A,
|  | PLASMA_Complex64_t * | V,
|  | PLASMA_Complex64_t * | TAU,
|  | int | st,
|  | int | ed,
|  | int | eltsize
| ) |  |

CORE_zhbelr is a kernel that will operate on a region (triangle) of data bounded by st and ed. This kernel eliminate a column by an element-wise annihiliation, and for each annihiliation, it apply a left update, followed by an right update on the diagonal 2x2 element, then it continue until finishing the the whole column. When this is done, it take advantage that data are on cache and will apply the right on the remaining part of this region that has not been updated by the right yet. Note that the column to be eliminated is located at st-1.

Parameters

  [in] | uplo | PlasmaLower: PlasmaUpper:
  [in] | N | The order of the matrix A.
  [in,out] | A | A pointer to the descriptor of the matrix A.
  [out] | V | PLASMA_Complex64_t array, dimension (N). The scalar elementary reflectors are written in this array. So it is used as a workspace for V at each step of the bulge chasing algorithm.
  [out] | TAU | PLASMA_Complex64_t array, dimension (N). The scalar factors of the elementary reflectors are written in thisarray. So it is used as a workspace for TAU at each step of the bulge chasing algorithm.
  [in] | st | A pointer to the start index where this kernel will operate.
  [in] | ed | A pointer to the end index where this kernel will operate.
  [in] | eltsize | PLASMA internal value which refer to the size of the precision.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value TYPE 1-BDL Householder add -1 because of C